Portfolyo

WordPress TGM Plugin Strict Standards Uyarısı

WordPress’te admin panelinize girdiğinizde üstte şu iki uyarıyı alıyorsanız:

Strict Standards: Declaration of TGM_Bulk_Installer_Skin::before() should be compatible with Bulk_Upgrader_Skin::before($title = '') in /wp-content/themes/(temanız)/inc/class-tgm-plugin-activation.php on line 1893
Strict Standards: Declaration of TGM_Bulk_Installer_Skin::after() should be compatible with Bulk_Upgrader_Skin::after($title = '') in /wp-content/themes/(temanız)/inc/class-tgm-plugin-activation.php on line 1893

sıkıntı yapmayın çözümü çok kolay, nasıl mı?

wp-content/themes/(temanız)/inc/class-tgm-plugin-activation.php dosyasını text editor ile açıyoruz ve

1977. satıra geliyoruz

public function before() {

kodunu şununla değiştiriyoruz.

public function before( $title = '' ) {

Daha sonra 1999. satıra gelip

public function after() {

kodunu da alttaki kod ile değiştiriyoruz, işte bu kadar basit!

public function after( $title = '' ) {

Bunlar da İlginizi Çekebilir

Yorum yok

YORUM YAP